#ifndef EMPANADA_H
#define EMPANADA_H

typedef enum {
    CRUDA,
    EN_COCINA,
    LISTA,
    QUEMADA,
    CUANTICA,
    SIN_RELLENO
} Estado;

typedef struct {
	char relleno[30];
    int tiempo_coccion;
    int tiempo_actual;
    Estado estado;
    int tiene_relleno;
    int activa;
} Empanada;

const char* estadoToString(Estado estado);
void cocinar(Empanada* e);
void inicializarEmpanada(Empanada* e, const char* relleno);

#endif
